Subject: Re: [PATCH v2 3/3] commit: print advice when core.commentString=auto

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Aug 2025 10:19:36 -0700

Oswald Buddenhagen <[email-masked]> writes:

> On Thu, Jul 31, 2025 at 04:21:55PM +0100, Phillip Wood wrote:
>>An alternative
>>approach would be to advise the user to run "git config --show-origin"
>>and leave them to figure out how to fix it themselves but that seems
>>rather unfriendly. As we're forcing them to update their config we
>>should try and make that as easy as possible.
>>
> your approach certainly helps the user to fix their acute problem
> quickly, but
> - why should it? it's not like leaving it to the user would cause them
>   a    huge burden, or that a noteworthy number of users are even
>   going to be    affected. i don't think the fact that the update is
>   forced justifies    making it a lot more user friendly than git
>   configuration usually is,    esp. at this cost in complexity.

I tend to agree that I prefer a simpler code that leaves a simple
exception handling to the users ;-)

> - given that it doesn't print the entire decision tree (when
>   encountering read-only files), it doesn't necessarily guide the user
>   towards the best overall solution. that makes it _less_
>   user-friendly,    in a way.

Even though we often do not like it, majority of users prefer to be
told what to do without having to think, so it is acceptable as long
as the suggestion does not take them in a direction that would hurt
them, even if it were not optimal.